PPSPYAPI Platform
EN / 中文
API REFERENCE

Monitor Task Ad Product List API

POST/open-api/v1/ad-monitor-task/product-list
·api.ppspy.com
Data and monitoring usage rules

Points Consumption Rules: 1. Retrieving a Shopify data result consumes 1 data, while retrieving an ad library data result consumes 2 data. Retrieving additional data details for a data result does not consume data. 2. Ad monitoring and sales monitoring: Each monitoring session costs $1/month. Each monitoring session is valid for one month and automatically expires after one month. Deleting a monitoring session does not restore the monitoring session, so please delete with caution. Monitoring sessions can be accessed at any time and are unlimited.

Request headers

AUTHORIZATIONAuthorization: {API Key}
CONTENT-TYPEapplication/json
ACCEPTapplication/json

Request example

cURL
curl --location --request POST 'https://api.ppspy.com/open-api/v1/ad-monitor-task/product-list' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: {API Key}' \
--data-raw '{
    "task_id": "48c99a7968aa3f76a353297f629e8460",
    "order_by": "ad_count",
    "direction": "desc",
    "page": 1,
    "per_page": 10
}'

Request parameters 21 fields

Pass each parameter in its specified location.

Parameter Type Description
body
body · optional
object | none
» task_id
body · required
string Monitor Task ID | none
» keyword
body · optional
string Product Name Keyword | none
» first_ad_date_start
body · optional
integer First Ad Start Date | Timestamp in seconds.
» first_ad_date_end
body · optional
integer First Ad End Date | Timestamp in seconds.
» min_active_ad_count
body · optional
integer Minimum Active Ad Count | none
» max_active_ad_count
body · optional
integer Maximum Active Ad Count | none
» min_ad_count
body · optional
integer Minimum Ad Count | none
» max_ad_count
body · optional
integer Maximum Ad Count | none
» min_ad_days
body · optional
integer Minimum Ad Days | none
» max_ad_days
body · optional
integer Maximum Ad Days | none
» min_price
body · optional
number Minimum Price | none
» max_price
body · optional
number Maximum Price | none
» min_material_count
body · optional
integer Minimum Store Material Count | none
» max_material_count
body · optional
integer Maximum Store Material Count | none
» recent_ad_date_start
body · optional
integer Recent Ad Start Date | Timestamp in seconds.
» recent_ad_date_end
body · optional
integer Recent Ad End Date | Timestamp in seconds.
» order_by
body · optional
string Sort Field | Options: active_ad_count-Active Ad Count, ad_count-Ad Count, ad_days-Ad Days, recent_ad_date-Recent Ad Date, first_ad_date-First Ad Date, price-Price (USD), material_count-Store Material Count.
» direction
body · optional
string Sort Direction | Options: desc-Descending, asc-Ascending.
» page
body · optional
integer Page Number | Minimum value is 1.
» per_page
body · optional
integer Page Size | Range: 1-100.

Response example

Response · JSON
{
    "code": 200,
    "message": "success",
    "data": {
        "current_page": 1,
        "data": [
            {
                "product_id": "06f4503b3d07810ad2aec20b3eab46f2",
                "product_url": "https:\/\/bloomchic.com\/products\/geometric-print-drawstring-skinny-waistline-inside-dress?variant=42774716711082&feed_id=fb4454701",
                "product_name": "Geometric Print Drawstring Skinny Short Dress",
                "product_image": "https:\/\/fb-cdn.pipiads.com\/images\/pimg_71d287434cac842df6f45.png",
                "active_ad_count": 67,
                "ad_count": 634,
                "ad_days": 148,
                "recent_ad_date": 1761202800,
                "first_ad_date": 1748502000,
                "price": 21.8
            },
            {
                "product_id": "ce047b08c273540fd6d364c6ea2779e2",
                "product_url": "https:\/\/bloomchic.com\/products\/plunging-neck-button-detail-pocket-maxi-dress?variant=42759663648938&feed_id=fb9739801",
                "product_name": "Plunging Neck Button Detail Pocket Maxi Dress",
                "product_image": "https:\/\/fb-cdn.pipiads.com\/images\/pimg_7b3411f14f53ac20eed6a.png",
                "active_ad_count": 66,
                "ad_count": 548,
                "ad_days": 182,
                "recent_ad_date": 1761202800,
                "first_ad_date": 1745564400,
                "price": 38.8
            },
            {
                "product_id": "19cd1b54816e321183e115dd770304e3",
                "product_url": "https:\/\/bloomchic.com\/products\/ditsy-floral-elastic-waist-ruffles-pocket-knee-dress?variant=43090401099946&feed_id=fb9738901",
                "product_name": "Bloom Dress - Ditsy Floral Elastic Waist Ruffles Pocket Knee Dress",
                "product_image": "https:\/\/fb-cdn.pipiads.com\/images\/pimg_af7ed5240540be0cd6da.png",
                "active_ad_count": 5,
                "ad_count": 266,
                "ad_days": 172,
                "recent_ad_date": 1760943600,
                "first_ad_date": 1746169200,
                "price": 28.9
            },
            {
                "product_id": "88c569b53c835bfb69ab5b3ef2d273d7",
                "product_url": "https:\/\/bloomchic.com\/products\/solid-pocket-contrast-lace-split-modal-maxi-dress?variant=43060164821162&feed_id=fb2136101",
                "product_name": "Solid Pocket Contrast Lace Split Maxi Dress",
                "product_image": "https:\/\/fb-cdn.pipiads.com\/images\/pimg_748e674c0fbade204499a.png",
                "active_ad_count": 16,
                "ad_count": 218,
                "ad_days": 182,
                "recent_ad_date": 1761202800,
                "first_ad_date": 1745564400,
                "price": 39.9
            },
            {
                "product_id": "1c19b5adfafcd866c686af014004bafd",
                "product_url": "https:\/\/bloomchic.com\/products\/solid-side-pocket-modal-midi-peasant-dress?variant=42572898009258&feed_id=fb3967901",
                "product_name": "Solid Side Pocket Modal Midi Peasant Dress",
                "product_image": "https:\/\/fb-cdn.pipiads.com\/images\/pimg_30a6463e0bc1140b5b2c7.png",
                "active_ad_count": 21,
                "ad_count": 184,
                "ad_days": 45,
                "recent_ad_date": 1749366000,
                "first_ad_date": 1745564400,
                "price": 24.8
            },
            {
                "product_id": "3290d7fed2c2deb2854bea573825ffe5",
                "product_url": "https:\/\/bloomchic.com\/products\/skinny-very-stretchy-high-rise-black-wash-sculpt-waist-jeans?variant=43345622204586&feed_id=fb2106901",
                "product_name": "Skinny Very Stretchy High Rise Black Wash Sculpt Waist Jeans",
                "product_image": "https:\/\/fb-cdn.pipiads.com\/images\/pimg_d71e51c424586e6689501.png",
                "active_ad_count": 7,
                "ad_count": 163,
                "ad_days": 177,
                "recent_ad_date": 1761202800,
                "first_ad_date": 1745996400,
                "price": 35.9
            },
            {
                "product_id": "1302168b5819a268917e5c8c713c9ab1",
                "product_url": "https:\/\/bloomchic.com\/products\/skinny-very-stretchy-mid-rise-dark-wash-gap-proof-jeans?variant=43191001743530&feed_id=fb5151701",
                "product_name": "Skinny Very Stretchy High Rise Dark Wash Gap Proof Jeans",
                "product_image": "https:\/\/fb-cdn.pipiads.com\/images\/pimg_48987d78414edfb571d2.png",
                "active_ad_count": 9,
                "ad_count": 161,
                "ad_days": 180,
                "recent_ad_date": 1761030000,
                "first_ad_date": 1745564400,
                "price": 35.9
            },
            {
                "product_id": "2a88b878dc37de986465a89f1ea393ad",
                "product_url": "https:\/\/bloomchic.com\/products\/scoop-neck-pocket-floral-short-dress?variant=42611501662378&feed_id=fb3687901",
                "product_name": "Bloom Dress - Scoop Neck Pocket Floral Short Dress",
                "product_image": "https:\/\/fb-cdn.pipiads.com\/images\/pimg_e00d7bd11b4ee08d53599.png",
                "active_ad_count": 12,
                "ad_count": 134,
                "ad_days": 105,
                "recent_ad_date": 1758006000,
                "first_ad_date": 1749020400,
                "price": 29.8
            },
            {
                "product_id": "f02ff58481555263b8792c33584c9be7",
                "product_url": "https:\/\/bloomchic.com\/products\/ditsy-floral-v-neck-ruffle-tie-front-blouse?variant=42895560638634&feed_id=fb2653601",
                "product_name": "Ditsy Floral V Neck Ruffle Tie Front Blouse",
                "product_image": "https:\/\/fb-cdn.pipiads.com\/images\/pimg_73d485f2db3a51d17e6bf.png",
                "active_ad_count": 10,
                "ad_count": 128,
                "ad_days": 174,
                "recent_ad_date": 1760943600,
                "first_ad_date": 1745996400,
                "price": 29.8
            },
            {
                "product_id": "2abc3fd717a642511ab7175deee73f7d",
                "product_url": "https:\/\/bloomchic.au\/products\/supersoft-essentials-colorblock-contrast-pocket-cardigan-1?variant=45924066754809&feed_id=fb48271801",
                "product_name": "Supersoft Essentials Colorblock Contrast Pocket Cardigan",
                "product_image": "https:\/\/fb-cdn.pipiads.com\/images\/pimg_a6678c847a48038974e20.png",
                "active_ad_count": 6,
                "ad_count": 95,
                "ad_days": 38,
                "recent_ad_date": 1751094000,
                "first_ad_date": 1747897200,
                "price": 38.49
            }
        ],
        "last_page": 16,
        "per_page": 10,
        "total": 151
    },
    "credits": {
        "remaining_credits": 745,
        "consumed_credits": 0,
        "total_credits": 745
    }
}
Example data from the existing documentation

Response structure

Name Type Required Constraints Display Name Description
» code integer true none Business status code
» message string true none Response Message none
» data object true none Response Data none
»» current_page integer true none Current Page none
»» data [object] true none Data List none
»»» product_id string true none Product ID none
»»» product_url string true none Product URL none
»»» product_name string true none Product Name none
»»» product_image string true none Product Image none
»»» active_ad_count integer true none Active Ad Count none
»»» ad_count integer true none Ad Count none
»»» ad_days integer true none Ad Days none
»»» recent_ad_date integer true none Recent Ad Date Timestamp in seconds.
»»» first_ad_date integer true none First Ad Date Timestamp in seconds.
»»» price number true none Price (USD) none
»»» material_count integer true none Store Material Count none
»» last_page integer true none Last Page Number none
»» per_page integer true none Page Size none
»» total integer true none Total Count none
» credits object true none Credits information Credits information for the current API request
»» remaining_credits integer true none Remaining credits Remaining credits after this request
»» consumed_credits integer true none Consumed credits Credits consumed by this request
»» total_credits integer true none Total credits Total credits of the current credits type
Search the existing endpoint names and paths